package com.chapter16.tankgame;

import java.util.Vector;

// 我的坦克类，继承父类坦克
public class Hero extends Tank {
    // 定义一个Shot 对象，表示一个射击行为
    Shot shot = null;
    // 把子弹放入集合中去
    Vector<Shot> shots = new Vector<>();

    public Hero(int x, int y) {
        super(x, y);
    }

    public void shotEnemyTank() {

        // 同时发射子弹最多只有5个
        if (shots.size() == 5){
            return;
        }

        // 创建shot 对象，根据当前Hero 对象的位置和方向来创建Shot
        switch (getDirect()) {
            case 0:
                shot = new Shot(getX() + 18, getY() - 25, 0);
                break;
            case 1:
                shot = new Shot(getX() + 18, getY() + 45, 1);
                break;
            case 2:
                shot = new Shot(getX() - 15, getY() + 18, 2);
                break;
            case 3:
                shot = new Shot(getX() + 45, getY() + 18, 3);
                break;

        }

        shots.add(shot);
        // 启动shot线程
        new Thread(shot).start();


    }

}
