package com.chapter16.tankgame;

/*
发射子弹类
 */
public class Shot implements Runnable {
    int x; // 子弹的x坐标
    int y;// 子弹的y坐标
    int direct = 0; // 子弹的方向
    int speed = 30; // 子弹的速度
    boolean isLive = true; // 子弹存活

    public Shot(int x, int y, int direct) {
        this.x = x;
        this.y = y;
        this.direct = direct;
    }

    @Override
    public void run() {
        while (true) {
            // 子弹休眠
            try {
                Thread.sleep(200);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }

            // 根据方向去控制子弹的坐标
            switch (direct) {
                case 0:
                    y -= speed;
                    break;
                case 1:
                    y += speed;
                    break;
                case 2:
                    x -= speed;
                    break;
                case 3:
                    x += speed;
                    break;
            }

            // 当子弹移动到面板外，销毁子弹
            // 当子弹碰到敌人坦克时，应该退出
            if (!(x >= 0 && x <= 1000 && y >= 0 && y <= 750 && isLive)) {
                isLive = false;
                break;
            }


        }
    }
}
